import { SvgIconProps } from "../../app/types/types";


export function TwitterIcon(props: SvgIconProps) {
  return (
    <svg
      id="Icons"
      xmlns="http://www.w3.org/2000/svg"
      width="23.778"
      height="19.815"
      viewBox="0 0 23.778 19.815"
      {...props}
    >
      <g id="Black">
        <path
          id="Twitter"
          d="M323.778,166.346a9.528,9.528,0,0,1-2.8.788,4.991,4.991,0,0,0,2.145-2.767,9.608,9.608,0,0,1-3.1,1.212,4.809,4.809,0,0,0-3.56-1.579,4.941,4.941,0,0,0-4.876,5,5.108,5.108,0,0,0,.126,1.139,13.736,13.736,0,0,1-10.056-5.229,5.093,5.093,0,0,0-.66,2.517,5.036,5.036,0,0,0,2.17,4.164,4.789,4.789,0,0,1-2.21-.624v.061a4.973,4.973,0,0,0,3.915,4.9,4.652,4.652,0,0,1-1.285.176,4.716,4.716,0,0,1-.918-.089,4.9,4.9,0,0,0,4.557,3.473,9.633,9.633,0,0,1-6.058,2.142,9.817,9.817,0,0,1-1.164-.069,13.584,13.584,0,0,0,7.478,2.245c8.974,0,13.88-7.621,13.88-14.232,0-.217,0-.435-.013-.648a10.013,10.013,0,0,0,2.433-2.589"
          transform="translate(-300 -164)"
          fill="#fff"
        ></path>
      </g>
    </svg>
  )
}
